using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;

public partial class Admin_YongHu_TouXiang_XiuGai : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("修改头像", "网站后台", "修改头像", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }
    private void ZhiXing()
    {
        访问.验证管理员();

        if (!this.IsPostBack)
            显示数据();
        else
            修改头像();
    }
    private void 显示数据()
    {
        int ID = Convert.ToInt32(Request.QueryString["ID"]);
        Hashtable 头像 = new Hashtable();

        SqlCommand 语句 = new SqlCommand("SELECT [头像名称],[头像地址],[头像性别],[需要积分] FROM [" + 程序.数据表前缀 + "社区_头像] WHERE [ID]=" + ID, 访问.连接);
        SqlDataReader 读取 = 语句.ExecuteReader();
        if (读取.Read())
            for (int i = 0; i < 读取.FieldCount; i++)
                头像.Add(读取.GetName(i), 读取[i]);
        else
        {
            读取.Close();
            throw new Exception("头像不存在");
        }
        读取.Close();

        TouXiangMingChen.Text = Convert.ToString(头像["头像名称"]);
        TouXiangTuPian.ImageUrl = Convert.ToString(头像["头像地址"]);
        switch (Convert.ToInt32(头像["头像性别"]))
        {
            case 0:
                TouXiangXingBie_0.Checked = true;
                break;
            case 1:
                TouXiangXingBie_1.Checked = true;
                break;
            default:
                TouXiangXingBie_2.Checked = true;
                break;
        }
        XuYaoJiFen.Text = Convert.ToString(头像["需要积分"]);
    }
    private void 修改头像()
    {
        访问.验证权限("27");
        int ID = Convert.ToInt32(Request.QueryString["ID"]);

        String 头像名称 = TouXiangMingChen.Text;
        int 头像性别 = 0;
        if (TouXiangXingBie_0.Checked)
            头像性别 = 0;
        else if (TouXiangXingBie_1.Checked)
            头像性别 = 1;
        else
            头像性别 = 2;
        int 头像积分 = Convert.ToInt32(XuYaoJiFen.Text);

        SqlCommand 语句 = new SqlCommand("UPDATE [" + 程序.数据表前缀 + "社区_头像] SET [头像名称]=@头像名称," +
            "[头像性别]=@头像性别," +
            "[需要积分]=@需要积分" +
            " WHERE [ID]=" + ID, 访问.连接);
        语句.Parameters.Add("@头像名称", SqlDbType.NVarChar).Value = 头像名称;
        语句.Parameters.Add("@头像性别", SqlDbType.Int).Value = 头像性别;
        语句.Parameters.Add("@需要积分", SqlDbType.Int).Value = 头像积分;
        语句.ExecuteNonQuery();

        访问统计_管理记录 管理记录 = new 访问统计_管理记录(this.Context, 访问.连接);
        管理记录.记录("修改头像[" + 头像名称 + "]", 访问.用户["昵称"].ToString());

        Response.Redirect("TouXiangGuanLi.aspx");
    }
}
